Subject: overlapping area ranges

From: "Kostiner, Assaf (Assaf)" <[email-masked]>
Date: Mon, 21 Oct 2002 15:40:24 +0200

Hi,
I'm trying to understand the exact problem with aggregating all subnets of 10.0.0.0/8 in one area, and having an address 10.2.3.4 in another area. 
When trying to find the best-match, we always go to the more specific IP address anyway, so 10.2.3.4 should always be reachable. no? 
Why then, in RFC 1583, they prevented this configuration, by preventing the border router which aggregates the 10.0.0.0 range, from accepting summaries which fall into this range?
Why in the later RFCs, they added the following paragraph (under 11.1):
"Before the lookup begins, "discard" routing table entries should be inserted into the routing table for each of the router's active area address ranges (see Section 3.5). (An area range is considered "active" if the range contains one or more networks reachable by intra-area paths.) The destination of a "discard" entry is the set of addresses described by its associated active area address range, and the path type of each "discard" entry is set to "inter-area".[10] "
What is its contribution?
I would appreciate any help with the above. Thanks in advance, Assaf.

---

From: Acee Lindem <[email-masked]>
Date: Mon, 21 Oct 2002 14:19:18 -0400

Kostiner, Assaf (Assaf) wrote:

> Hi,
>
> I'm trying to understand the exact problem with aggregating all subnets
> of 10.0.0.0/8 in one area, and having an address 10.2.3.4 in another area.
>
> When trying to find the best-match, we always go to the more specific IP
> address anyway, so 10.2.3.4 should always be reachable. no?
>
> Why then, in RFC 1583, they prevented this configuration, by preventing
> the border router which aggregates the 10.0.0.0 range, from accepting
> summaries which fall into this range?
>
> "Before the lookup begins, "discard" routing table entries should be
> inserted into the routing table for each of the router's active area
> address ranges (see Section 3.5). (An area range is considered "active"
> if the range contains one or more networks reachable by intra-area
> paths.) The destination of a "discard" entry is the set of addresses
> described by its associated active area address range, and the path type
> of each "discard" entry is set to "inter-area".[10] "
>
Assaf,

Overlapping subnet ranges are supported by the OSPF. As you noted,
this was added between RFC 1587 and RFC 2178. In RFC 2328, this case
is covered by footnote [11] on page 180.

Thanks,
----
Acee